Subject: [Catalina-22] [Cruising] Drive time to Keys from Miami

From: "Gareth Gammon" <[email-masked]>
Date: Thu, 5 Apr 2007 08:53:54 -0700

A number of years ago my wife and I went to Florida to for a spring holiday with some friends. We landed in Miami at around midnight and found that our hotel room had been given away. We had booked accomodation in the Keys (I don't remember which one, but it wasn't too far down) for the next few days so we decided to just drive there. I drove non-stop for the rest of the night and we arrived in good time to have a nap and to watch the sun come up. So I think  5 or 6 hours is about the right time for the drive from Miami. Your time may vary depending on the weight of your foot, the size of your bladder, if you're towing a boat, if you're taking kids etc etc etc.

Gareth Gammon
Fort St. James B.C.
1980 Swingkeel 9782
Calypso